## libtdeldap-trinity 14.0.4

=== debian/changelog ===
libtdeldap-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 12:53:07 +0200

libtdeldap-trinity (0.5-0ubuntu0) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 Jul 2009 16:08:00 -0600

## libtdeldap-trinity 14.0.6

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( libtdeldap )
set( VERSION R14.0.6 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL "Build all" ON                             )
option( BUILD_DOC "Build documentation" ${BUILD_ALL}         )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### user defined options

set( KDE_CONFDIR "/etc/trinity" CACHE STRING "TDE Settings Directory" )
set( KRB5_FILE "/etc/krb5.conf" CACHE STRING "Kerberos config file"   )
set( CRON_UPDATE_PRIMARY_REALM_CERTIFICATES_OPENLDAP_RELOAD_COMMAND "/etc/init.d/slapd force-reload" CACHE STRING "Cron command to update openLDAP" )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )
#tde_conditional_add_subdirectory( BUILD_DOC doc         )
#tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po ) 


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## libtdeldap-trinity 14.0.5

=== debian/changelog ===
libtdeldap-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 06:39:41 +0200

=== debian/control ===
Source: libtdeldap-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, tdelibs14-trinity-dev, libldap2-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: libtdeldap-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, heimdal-clients, nss-updatedb
Description: LDAP interface library for TDE
 LDAP interface library for TDE management modules.
 .
 libtdeldap-trinity contains the library of libtdeldap.

Package: libtdeldap-trinity-dev
Architecture: any
Depends: libtdeldap-trinity (= ${binary:Version}), tdelibs14-trinity-dev, libldap2-dev
Description: LDAP interface library for TDE
 LDAP interface library for TDE management modules.
 .
 libtdeldap-trinity-dev contains development files and documentation.

## libtdeldap-trinity 14.0.6

=== debian/changelog ===
libtdeldap-trinity (4:14.0.6-0debian6.0.0+0) squeeze; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 08 Mar 2019 02:46:40 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, tdelibs14-trinity-dev, libldap2-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, cmake, tdelibs14-trinity-dev, libldap2-dev
 Standards-Version: 3.8.4
 
 Package: libtdeldap-trinity

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include debian/cdbs/debian-qt-kde.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON"

## libtdeldap-trinity 14.0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #### general package setup
 
 project( libtdeldap )
-set( VERSION R14.0.6 )
+set( VERSION R14.0.8 )
 
 
 #### include essential cmake modules

=== debian/changelog ===
libtdeldap-trinity (4:14.0.8-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:08:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, cmake, tdelibs14-trinity-dev, libldap2-dev
+Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev, libldap2-dev
 Standards-Version: 3.8.4
 
 Package: libtdeldap-trinity

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,7 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/cmake.mk
-#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
-include debian/cdbs/debian-qt-kde.mk
+include debian/cdbs/debian-tde.mk
 
 DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
 DEB_CONFIGURE_MANDIR := /opt/trinity/share/man

## libtdeldap-trinity 14.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #### general package setup
 
 project( libtdeldap )
-set( VERSION R14.0.8 )
+set( VERSION R14.0.9 )
 
 
 #### include essential cmake modules
@@ -41,15 +41,15 @@
 
 ##### optional stuff
 
-option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
+option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
 option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
 
 
 ##### user requested modules
 
-option( BUILD_ALL "Build all" ON                             )
-option( BUILD_DOC "Build documentation" ${BUILD_ALL}         )
-option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )
+#option( BUILD_ALL "Build all" ON                             )
+#option( BUILD_DOC "Build documentation" ${BUILD_ALL}         )
+#option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )
 
 
 ##### user defined options
@@ -76,6 +76,7 @@
 ##### directories
 
 add_subdirectory( src )
+
 #tde_conditional_add_subdirectory( BUILD_DOC doc         )
 #tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po )

=== debian/changelog ===
libtdeldap-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 10:57:07 +0200

## libtdeldap-trinity 14.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 2.8.12 )
 
 
 #### general package setup
 
 project( libtdeldap )
-set( VERSION R14.0.9 )
+set( VERSION R14.0.10 )
 
 
 #### include essential cmake modules

=== debian/changelog ===
libtdeldap-trinity (4:14.0.10-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libtdeldap-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev, libldap2-dev
 Standards-Version: 3.8.4

## libtdeldap-trinity 14.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #### general package setup
 
 project( libtdeldap )
-set( VERSION R14.0.10 )
+set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules

=== debian/changelog ===
libtdeldap-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#libtdeldap

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 22 Oct 2021 01:16:31 +0200

## libtdeldap-trinity 14.0.12

=== debian/changelog ===
libtdeldap-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#libtdeldap

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 29 Dec 2021 13:03:02 +0100

## libtdeldap-trinity 14.0.13

=== debian/changelog ===
libtdeldap-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#libtdeldap

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 20 Jun 2022 13:16:25 +0200

## libtdeldap-trinity 14.1.0

=== debian/changelog ===
libtdeldap-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#libtdeldap

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## libtdeldap-trinity 14.1.1

=== debian/changelog ===
libtdeldap-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#libtdeldap

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 21 Jul 2023 14:46:43 +0200

## libtdeldap-trinity 14.1.2

=== debian/changelog ===
libtdeldap-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#libtdeldap

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 16 Mar 2024 03:54:49 +0100

## libtdeldap-trinity 14.1.3

=== debian/changelog ===
libtdeldap-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#libtdeldap

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 13 Jul 2024 14:57:07 +0200

## libtdeldap-trinity 14.1.4

=== debian/changelog ===
libtdeldap-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#libtdeldap

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## libtdeldap-trinity 14.1.5~pre0

=== debian/changelog ===
libtdeldap-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 7988ec1a9089439e3c6364de2f27db7f7de11ec3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#libtdeldap

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## libtdeldap-trinity 14.1.5~pre8

=== debian/changelog ===
libtdeldap-trinity (4:14.1.5~pre8-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for ae06b27e400d29cac88a4d3f9def1bacce859d78
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#libtdeldap

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 23 Oct 2025 02:18:20 +0200

## libtdeldap-trinity 14.1.5

=== src/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}/tde
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${KRB5_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
  ${KRB5_LIBRARY_DIRS}
)


##### tdeldap (shared)

tde_add_library( tdeldap SHARED AUTOMOC

  SOURCES
        libtdeldap.cpp
        ldaplogindlgbase.ui
        ldaplogindlg.cpp
        ldappasswddlg.cpp
        ldapchgpassdlgbase.ui
        ldapchgpassdlg.cpp
        ldapchgpasswddlg.cpp
  LINK
     tdeui-shared
     tdecore-shared
     tdeio-shared
     ${TDEHW_LIBRARIES}
     tdesu
     krb5 kadm5clnt kadm5srv hdb lber 
     ldap

  VERSION 1.0.0
  DESTINATION ${LIB_INSTALL_DIR}
)


##### headers

install(
    FILES ldappasswddlg.h libtdeldap.h
    DESTINATION ${INCLUDE_INSTALL_DIR}
)

=== debian/changelog ===
libtdeldap-trinity (4:14.1.5-0ubuntu20.04.0+0) focal; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#libtdeldap

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 23 Oct 2025 02:18:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev, libldap2-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libldap2-dev, heimdal-multidev
 Standards-Version: 3.8.4
 
 Package: libtdeldap-trinity
@@ -15,7 +15,7 @@
 
 Package: libtdeldap-trinity-dev
 Architecture: any
-Depends: libtdeldap-trinity (= ${binary:Version}), tdelibs14-trinity-dev, libldap2-dev
+Depends: libtdeldap-trinity (= ${binary:Version}), tdelibs14-trinity-dev, libldap2-dev, heimdal-multidev
 Description: LDAP interface library for TDE
  LDAP interface library for TDE management modules.
  .

## libtdeldap-trinity 14.1.6~pre0

=== debian/changelog ===
libtdeldap-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for ae06b27e400d29cac88a4d3f9def1bacce859d78
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#libtdeldap

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 23 Oct 2025 02:18:20 +0200

## libtdeldap-trinity 14.1.6~pre1

=== debian/changelog ===
libtdeldap-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 80f6e25c012d944de4f515dfd2217cfe0cb17881
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#libtdeldap

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:42:09 +0100

## libtdeldap-trinity 14.2.0~pre19

=== debian/changelog ===
libtdeldap-trinity (4:14.2.0~pre19-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 6424adf48112a58484d52e2cd2f5599bc033f7d2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#libtdeldap

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 18 Oct 2025 02:10:23 +0200

## libtdeldap-trinity 14.2.0~pre20

=== debian/changelog ===
libtdeldap-trinity (4:14.2.0~pre20-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for c11c183fa5cd4b52913a5628fb6599bb6637f655
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#libtdeldap

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:22:12 +0100
